Subject: Re: bug#24081: 25.0.95; fill-paragraph in message mode no longer honours line prefixes

From: James Cloos <[email-masked]>
Date: Wed, 27 Jul 2016 00:17:51 -0400

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:

JC>> Since I switched from using gnus git to master's internal gnus, I've
JC>> noticed that fill-paragraph in message mode no longer treats the line
JC>> prefixes as a fill-prefix.

JC>> Due to the other bug I had to downgrade from master to 25.0.95.  It,
JC>> too, has this bug.

EZ> Please show a recipe to reproduce this.

Hmm.  Interesting.

It does honour prefixes which match the re /^>+ +$/

But does not match arbitrary prefixes, such as those one gets when
using sc-cite-original for message-cite-function and with:
(quoting from my custom file):

 '(message-cite-function (quote sc-cite-original))
 '(sc-auto-fill-region-p nil)
 '(sc-citation-leader "")
 '(sc-preferred-attribution-list
   (quote
    ("sc-lastchoice" "x-attribution" "initials" "firstname" "lastname")))

Eg, with citations like above.

-JimC
-- 
James Cloos <[email-masked]>         OpenPGP: 0x997A9F17ED7DAEA6